Bug 69024 - Backspace handled incorrectly for non-English letters
Backspace handled incorrectly for non-English letters
Product: Red Hat Public Beta
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
Depends On:
Blocks: 65252 67218
  Show dependency treegraph
Reported: 2002-07-17 01:59 EDT by Fred New
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-17 21:52:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Fred New 2002-07-17 01:59:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Q312461)

Description of problem:
I don't know if this bug's "component" was correctly chosen.  This problem 
occurs in both the Gnome terminal and on the character console, so I chose a 
common denominator - bash:

When I type two non-English letters, such as 2 o-umlauts, then backspace twice, 
the first of the two letters still remains.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Go to a Gnome terminal or log into a character console.
2. echo "<o-umlaut><u-umlaut><Backspace><Backspace>aa"

Actual Results:  <o-umlaut>aa

Expected Results:  aa

Additional info:

I installed Limbo with a English-US and Estonian languages, English-US is the 
default.  An Estonian keyboard is also installed.
Comment 1 Karsten Hopp 2002-07-23 11:02:10 EDT
That's an bash/readline issue. Already fixed in the latest packages
Comment 2 Fred New 2002-07-24 05:01:43 EDT
Yep.  I can confirm that this works correctly with bash-2.05a-16 recently 
installed from the Red Hat Network.

Note You need to log in before you can comment on or make changes to this bug.